Sloeber IDE runs with core 1.7 but not with 1.8

Development environment specific, Arduino, Eclipse, VS2013, Em::Blocks etc
Post Reply
kurtow187
Posts: 3
Joined: Sun Feb 16, 2020 9:56 am

Sloeber IDE runs with core 1.7 but not with 1.8

Post by kurtow187 »

Hello,

I tested the Sloeber IDE (based on Eclipse).

It runs very well for me and I can compile a quite complex sketch. Also the upload to Bluepill is running.

But only with the 1.7 core.
When I try to use the stmduino 1.8 core, there are a lot of errors.

Even a 'naked' sketch (only setup() and loop() ) without any code raises compiling errors.

Maybe that this is a sloeber issue... may it be caused by the update from CMSIS_5 to 5.6.0 ??

Has anyone some experience with sloeber?

regards

Kurtow187

User avatar
fpiSTM
Posts: 787
Joined: Wed Dec 11, 2019 7:11 pm
Answers: 30
Location: Le Mans
Contact:

Re: Sloeber IDE runs with core 1.7 but not with 1.8

Post by fpiSTM »

I don't think it is linked to CMSIS.
If you properly installed the core this should be fine.
I don't have anymore eclipse installed with Sloeber as now I'm using VSCode + Arduino plugin.
What I guess is that Sloeber doesn't execute properly a prebuilt recipe.
The main change in the 1.8.0 is that all HAL and BSP has been moved to a built-in library to be able to remove whole-archive usage and avoid weak functions issues but this implies to include this builtin library to be able to build.
This is what is made by the prebuild recipe:
https://github.com/stm32duino/Arduino_C ... #L117-L120

So try to include manually this library:
#include <SrcWrapper.h>

But this is only a guess as you don't post any log...

luca_stm32
Posts: 2
Joined: Tue Feb 18, 2020 3:37 pm

Re: Sloeber IDE runs with core 1.7 but not with 1.8

Post by luca_stm32 »

Hi everybody.
I had the same problem with 1.8 core version.
With the fpiSTM suggestion Sloeber can compile.

Luca

User avatar
fpiSTM
Posts: 787
Joined: Wed Dec 11, 2019 7:11 pm
Answers: 30
Location: Le Mans
Contact:

Re: Sloeber IDE runs with core 1.7 but not with 1.8

Post by fpiSTM »

Thanks luca_stm32 for the feedback.
This means Sloeber does not handle properly the prebuild recipe from the platform.txt.

https://github.com/Sloeber/arduino-ecli ... ssues/1143

Post Reply

Return to “IDE's”